FLAG_MAP = {'brazil/acre': 'brazil/acre.svg', 'brazil/alagoas': 'brazil/alagoas.svg', 'brazil/amapá': 'brazil/amapá.svg', 'brazil/amazonas': 'brazil/amazonas.svg', 'brazil/bahia': 'brazil/bahia.svg', 'brazil/brazil': 'brazil/brazil.svg', 'brazil/ceará': 'brazil/ceará.svg', 'brazil/distrito-federal': 'brazil/distrito-federal.svg', 'brazil/espírito-santo': 'brazil/espírito-santo.svg', 'brazil/estado-rio-de-janeiro': 'brazil/estado-rio-de-janeiro.svg', 'brazil/goiás': 'brazil/goiás.svg', 'brazil/maranhão': 'brazil/maranhão.svg', 'brazil/mato-grosso-do-sul': 'brazil/mato-grosso-do-sul.svg', 'brazil/mato-grosso': 'brazil/mato-grosso.svg', 'brazil/minas-gerais': 'brazil/minas-gerais.svg', 'brazil/paraná': 'brazil/paraná.svg', 'brazil/paraíba': 'brazil/paraíba.svg', 'brazil/pará': 'brazil/pará.svg', 'brazil/pernambuco': 'brazil/pernambuco.svg', 'brazil/piauí': 'brazil/piauí.svg', 'brazil/rio-grande-do-norte': 'brazil/rio-grande-do-norte.svg', 'brazil/rio-grande-do-sul': 'brazil/rio-grande-do-sul.svg', 'brazil/rondônia': 'brazil/rondônia.svg', 'brazil/roraima': 'brazil/roraima.svg', 'brazil/santa-catarina': 'brazil/santa-catarina.svg', 'brazil/sergipe': 'brazil/sergipe.svg', 'brazil/são-paulo': 'brazil/são-paulo.svg', 'brazil/tocantins': 'brazil/tocantins.svg', 'canada/alberta': 'canada/alberta.svg', 'canada/british-columbia': 'canada/british-columbia.svg', 'canada/canada': 'canada/canada.svg', 'canada/governor-general-of-canada': 'canada/governor-general-of-canada.svg', 'canada/manitoba': 'canada/manitoba.svg', 'canada/new-brunswick': 'canada/new-brunswick.svg', 'canada/newfoundland-and-labrador': 'canada/newfoundland-and-labrador.svg', 'canada/northwest-territories': 'canada/northwest-territories.svg', 'canada/nova-scotia': 'canada/nova-scotia.svg', 'canada/nunavut': 'canada/nunavut.svg', 'canada/ontario': 'canada/ontario.svg', 'canada/prince-edward-island': 'canada/prince-edward-island.svg', 'canada/quebec': 'canada/quebec.svg', 'canada/royal-standard-members-canadian-royal-family': 'canada/royal-standard-members-canadian-royal-family.svg', 'canada/saskatchewan': 'canada/saskatchewan.svg', 'canada/yukon': 'canada/yukon.svg', 'england/bedfordshire': 'england/bedfordshire.svg', 'england/berkshire': 'england/berkshire.svg', 'england/birmingham': 'england/birmingham.svg', 'england/black-country': 'england/black-country.svg', 'england/buckinghamshire': 'england/buckinghamshire.svg', 'england/cambridgeshire': 'england/cambridgeshire.svg', 'england/cheshire': 'england/cheshire.svg', 'england/city-of-london': 'england/city-of-london.svg', 'england/cornwall': 'england/cornwall.svg', 'england/cumberland': 'england/cumberland.svg', 'england/cumbria': 'england/cumbria.svg', 'england/dacorum': 'england/dacorum.svg', 'england/derbyshire': 'england/derbyshire.svg', 'england/devon': 'england/devon.svg', 'england/durham': 'england/durham.svg', 'england/east-anglia': 'england/east-anglia.svg', 'england/east-sussex': 'england/east-sussex.svg', 'england/england': 'england/england.svg', 'england/essex': 'england/essex.svg', 'england/greater-london': 'england/greater-london.svg', 'england/greater-manchester': 'england/greater-manchester.svg', 'england/hampshire': 'england/hampshire.svg', 'england/herefordshire': 'england/herefordshire.svg', 'england/hertfordshire': 'england/hertfordshire.svg', 'england/huntingdonshire': 'england/huntingdonshire.svg', 'england/isle-of-wight': 'england/isle-of-wight.svg', 'england/kent': 'england/kent.svg', 'england/lancashire': 'england/lancashire.svg', 'england/leicestershire': 'england/leicestershire.svg', 'england/lincoln': 'england/lincoln.svg', 'england/lincolnshire': 'england/lincolnshire.svg', 'england/mercia': 'england/mercia.svg', 'england/merseyside': 'england/merseyside.svg', 'england/middlesex': 'england/middlesex.svg', 'england/norfolk': 'england/norfolk.svg', 'england/northamptonshire': 'england/northamptonshire.svg', 'england/northumberland': 'england/northumberland.svg', 'england/nottinghamshire': 'england/nottinghamshire.svg', 'england/oxfordshire': 'england/oxfordshire.svg', 'england/portsmouth': 'england/portsmouth.svg', 'england/purbeck': 'england/purbeck.svg', 'england/royal-standard': 'england/royal-standard.svg', 'england/rutland': 'england/rutland.svg', "england/saint-alban's-cross": "england/saint-alban's-cross.svg", "england/saint-wite's-cross": "england/saint-wite's-cross.svg", 'england/scilloniancross': 'england/scilloniancross.svg', 'england/severn-cross': 'england/severn-cross.svg', 'england/shropshire': 'england/shropshire.svg', 'england/somerset': 'england/somerset.svg', 'england/south-yorkshire': 'england/south-yorkshire.svg', 'england/staffordshire': 'england/staffordshire.svg', 'england/suffolk': 'england/suffolk.svg', 'england/surrey': 'england/surrey.svg', 'england/sussex': 'england/sussex.svg', 'england/tyne-&-Wear': 'england/tyne-&-Wear.svg', 'england/warwickshire': 'england/warwickshire.svg', 'england/wessex': 'england/wessex.svg', 'england/west-midlands-county': 'england/west-midlands-county.svg', 'england/westmorland': 'england/westmorland.svg', 'england/wiltshire': 'england/wiltshire.svg', 'england/worcestershire': 'england/worcestershire.svg', 'england/york': 'england/york.svg', 'england/yorkshire': 'england/yorkshire.svg', 'germany/baden-württemberg': 'germany/baden-württemberg.svg', 'germany/bavaria': 'germany/bavaria.svg', 'germany/bayern': 'germany/bayern.svg', 'germany/berlin': 'germany/berlin.svg', 'germany/brandenburg': 'germany/brandenburg.svg', 'germany/bremen': 'germany/bremen.svg', 'germany/coa-germany': 'germany/coa-germany.svg', 'germany/germany': 'germany/germany.svg', 'germany/hamburg': 'germany/hamburg.svg', 'germany/hessen': 'germany/hessen.svg', 'germany/mecklenburg-vorpommern': 'germany/mecklenburg-vorpommern.svg', 'germany/mecklenburg-western-pomerania': 'germany/mecklenburg-western-pomerania.svg', 'germany/niedersachsen': 'germany/niedersachsen.svg', 'germany/nordrhein-westfalen': 'germany/nordrhein-westfalen.svg', 'germany/rheinland-pfalz': 'germany/rheinland-pfalz.svg', 'germany/saarland': 'germany/saarland.svg', 'germany/sachsen-anhalt': 'germany/sachsen-anhalt.svg', 'germany/sachsen': 'germany/sachsen.svg', 'germany/schleswig-holstein': 'germany/schleswig-holstein.svg', 'germany/thüringen': 'germany/thüringen.svg', 'indonesia/bali': 'indonesia/bali.svg', 'indonesia/bandung': 'indonesia/bandung.svg', 'indonesia/bangka-belitung': 'indonesia/bangka-belitung.svg', 'indonesia/central-java': 'indonesia/central-java.svg', 'indonesia/east-java': 'indonesia/east-java.svg', 'indonesia/east-kalimantan': 'indonesia/east-kalimantan.svg', 'indonesia/east-nusa-tenggara': 'indonesia/east-nusa-tenggara.svg', 'indonesia/indonesia': 'indonesia/indonesia.svg', 'indonesia/jakarta': 'indonesia/jakarta.svg', 'indonesia/jambi': 'indonesia/jambi.svg', 'indonesia/lampung': 'indonesia/lampung.svg', 'indonesia/north-sulawesi': 'indonesia/north-sulawesi.svg', 'indonesia/north-sumatra': 'indonesia/north-sumatra.svg', 'indonesia/papua': 'indonesia/papua.svg', 'indonesia/riau': 'indonesia/riau.svg', 'indonesia/south-sulawesi': 'indonesia/south-sulawesi.svg', 'indonesia/south-sumatra': 'indonesia/south-sumatra.svg', 'indonesia/southeast-sulawesi': 'indonesia/southeast-sulawesi.svg', 'indonesia/west-java': 'indonesia/west-java.svg', 'indonesia/west-kalimantan': 'indonesia/west-kalimantan.svg', 'indonesia/west-nusa-tenggara': 'indonesia/west-nusa-tenggara.svg', 'indonesia/west-papua': 'indonesia/west-papua.svg', 'marshall-islands/marshall-islands': 'marshall-islands/marshall-islands.svg', 'mexico/aguascalientes': 'mexico/aguascalientes.svg', 'mexico/baja-california-sur': 'mexico/baja-california-sur.svg', 'mexico/baja-california': 'mexico/baja-california.svg', 'mexico/campeche': 'mexico/campeche.svg', 'mexico/chiapas': 'mexico/chiapas.svg', 'mexico/chihuahua': 'mexico/chihuahua.svg', 'mexico/coahuila': 'mexico/coahuila.svg', 'mexico/colima': 'mexico/colima.svg', 'mexico/durango': 'mexico/durango.svg', 'mexico/guanajuato': 'mexico/guanajuato.svg', 'mexico/guerrero': 'mexico/guerrero.svg', 'mexico/hidalgo': 'mexico/hidalgo.svg', 'mexico/jalisco': 'mexico/jalisco.svg', 'mexico/mexico-city': 'mexico/mexico-city.svg', 'mexico/mexico-state': 'mexico/mexico-state.svg', 'mexico/mexico': 'mexico/mexico.svg', 'mexico/michoacán': 'mexico/michoacán.svg', 'mexico/morelos': 'mexico/morelos.svg', 'mexico/nayarit': 'mexico/nayarit.svg', 'mexico/nuevo-leon': 'mexico/nuevo-leon.svg', 'mexico/oaxaca': 'mexico/oaxaca.svg', 'mexico/puebla': 'mexico/puebla.svg', 'mexico/queretaro': 'mexico/queretaro.svg', 'mexico/quintana-roo': 'mexico/quintana-roo.svg', 'mexico/san-luis-potosi': 'mexico/san-luis-potosi.svg', 'mexico/sinaloa': 'mexico/sinaloa.svg', 'mexico/sonora': 'mexico/sonora.svg', 'mexico/tabasco': 'mexico/tabasco.svg', 'mexico/tamaulipas': 'mexico/tamaulipas.svg', 'mexico/tlaxcala': 'mexico/tlaxcala.svg', 'mexico/veracruz': 'mexico/veracruz.svg', 'mexico/yucatan': 'mexico/yucatan.svg', 'mexico/zacatecas': 'mexico/zacatecas.svg', 'russia/adygea': 'russia/adygea.svg', 'russia/altai-krai': 'russia/altai-krai.svg', 'russia/altai': 'russia/altai.svg', 'russia/amur': 'russia/amur.svg', 'russia/arkhangelsk': 'russia/arkhangelsk.svg', 'russia/astrakhan': 'russia/astrakhan.svg', 'russia/bashkortostan': 'russia/bashkortostan.svg', 'russia/belgorod': 'russia/belgorod.svg', 'russia/bryansk': 'russia/bryansk.svg', 'russia/buryatia': 'russia/buryatia.svg', 'russia/chechen': 'russia/chechen.svg', 'russia/chelyabinsk': 'russia/chelyabinsk.svg', 'russia/chukotka': 'russia/chukotka.svg', 'russia/chuvashia': 'russia/chuvashia.svg', 'russia/dagestan': 'russia/dagestan.svg', 'russia/ingushetia': 'russia/ingushetia.svg', 'russia/irkutsk': 'russia/irkutsk.svg', 'russia/ivanovo': 'russia/ivanovo.svg', 'russia/jewish-autonomous-oblast': 'russia/jewish-autonomous-oblast.svg', 'russia/kabardino-balkaria': 'russia/kabardino-balkaria.svg', 'russia/kaliningrad': 'russia/kaliningrad.svg', 'russia/kalmykia': 'russia/kalmykia.svg', 'russia/kaluga': 'russia/kaluga.svg', 'russia/kamchatka': 'russia/kamchatka.svg', 'russia/karachay-cherkessia': 'russia/karachay-cherkessia.svg', 'russia/karelia': 'russia/karelia.svg', 'russia/kemerovo': 'russia/kemerovo.svg', 'russia/khabarovsk-krai': 'russia/khabarovsk-krai.svg', 'russia/khakassia': 'russia/khakassia.svg', 'russia/kirov': 'russia/kirov.svg', 'russia/komi': 'russia/komi.svg', 'russia/kostroma': 'russia/kostroma.svg', 'russia/krasnodar': 'russia/krasnodar.svg', 'russia/krasnoyarsk-krai': 'russia/krasnoyarsk-krai.svg', 'russia/kurgan': 'russia/kurgan.svg', 'russia/kursk': 'russia/kursk.svg', 'russia/leningrad': 'russia/leningrad.svg', 'russia/lipetsk': 'russia/lipetsk.svg', 'russia/magadan': 'russia/magadan.svg', 'russia/mari-el': 'russia/mari-el.svg', 'russia/mordovia': 'russia/mordovia.svg', 'russia/moscow-oblast': 'russia/moscow-oblast.svg', 'russia/moscow': 'russia/moscow.svg', 'russia/murmansk': 'russia/murmansk.svg', 'russia/nenets-autonomous-district': 'russia/nenets-autonomous-district.svg', 'russia/nizhny-novgorod': 'russia/nizhny-novgorod.svg', 'russia/novgorod': 'russia/novgorod.svg', 'russia/novosibirsk': 'russia/novosibirsk.svg', 'russia/omsk': 'russia/omsk.svg', 'russia/orenburg': 'russia/orenburg.svg', 'russia/oryol': 'russia/oryol.svg', 'russia/penza': 'russia/penza.svg', 'russia/perm-krai': 'russia/perm-krai.svg', 'russia/primorsky-krai': 'russia/primorsky-krai.svg', 'russia/pskov': 'russia/pskov.svg', 'russia/rostov': 'russia/rostov.svg', 'russia/russia': 'russia/russia.svg', 'russia/ryazan': 'russia/ryazan.svg', 'russia/saint-petersburg': 'russia/saint-petersburg.svg', 'russia/sakha': 'russia/sakha.svg', 'russia/sakhalin': 'russia/sakhalin.svg', 'russia/samara': 'russia/samara.svg', 'russia/saratov': 'russia/saratov.svg', 'russia/severnaja-osetija': 'russia/severnaja-osetija.svg', 'russia/smolensk': 'russia/smolensk.svg', 'russia/stavropol-krai': 'russia/stavropol-krai.svg', 'russia/sverdlovsk': 'russia/sverdlovsk.svg', 'russia/tambov': 'russia/tambov.svg', 'russia/tatarstan': 'russia/tatarstan.svg', 'russia/tomsk': 'russia/tomsk.svg', 'russia/tula': 'russia/tula.svg', 'russia/tuva': 'russia/tuva.svg', 'russia/tver': 'russia/tver.svg', 'russia/tyumen': 'russia/tyumen.svg', 'russia/udmurtia': 'russia/udmurtia.svg', 'russia/ulyanovsk': 'russia/ulyanovsk.svg', 'russia/vladimirskaya': 'russia/vladimirskaya.svg', 'russia/volgograd': 'russia/volgograd.svg', 'russia/vologda': 'russia/vologda.svg', 'russia/voronezh': 'russia/voronezh.svg', 'russia/yamal-nenets-autonomous-district': 'russia/yamal-nenets-autonomous-district.svg', 'russia/yaroslavl': 'russia/yaroslavl.svg', 'russia/yugra': 'russia/yugra.svg', 'russia/zabaykalsky-krai': 'russia/zabaykalsky-krai.svg', 'south-korea/busan': 'south-korea/busan.svg', 'south-korea/daegu': 'south-korea/daegu.svg', 'south-korea/daejeon': 'south-korea/daejeon.svg', 'south-korea/gangwon': 'south-korea/gangwon.svg', 'south-korea/gwangju': 'south-korea/gwangju.svg', 'south-korea/gyeonggi': 'south-korea/gyeonggi.svg', 'south-korea/incheon': 'south-korea/incheon.svg', 'south-korea/jeju': 'south-korea/jeju.svg', 'south-korea/north-chungcheong': 'south-korea/north-chungcheong.svg', 'south-korea/north-gyeongsang': 'south-korea/north-gyeongsang.svg', 'south-korea/north-jeolla': 'south-korea/north-jeolla.svg', 'south-korea/sejong': 'south-korea/sejong.svg', 'south-korea/seoul': 'south-korea/seoul.svg', 'south-korea/south-chungcheong': 'south-korea/south-chungcheong.svg', 'south-korea/south-gyeongsang': 'south-korea/south-gyeongsang.svg', 'south-korea/south-jeolla': 'south-korea/south-jeolla.svg', 'south-korea/south-korea': 'south-korea/south-korea.svg', 'south-korea/ulsan': 'south-korea/ulsan.svg', 'usa/alabama': 'usa/alabama.svg', 'usa/alaska': 'usa/alaska.svg', 'usa/american-samoa': 'usa/american-samoa.svg', 'usa/arizona': 'usa/arizona.svg', 'usa/arkansas': 'usa/arkansas.svg', 'usa/california': 'usa/california.svg', 'usa/colorado': 'usa/colorado.svg', 'usa/connecticut': 'usa/connecticut.svg', 'usa/delaware': 'usa/delaware.svg', 'usa/district-of-columbia': 'usa/district-of-columbia.svg', 'usa/florida': 'usa/florida.svg', 'usa/georgia': 'usa/georgia.svg', 'usa/georgiaClassic': 'usa/georgiaClassic.svg', 'usa/georgiaClassic1': 'usa/georgiaClassic1.svg', 'usa/guam': 'usa/guam.svg', 'usa/hawaii': 'usa/hawaii.svg', 'usa/idaho': 'usa/idaho.svg', 'usa/illinois': 'usa/illinois.svg', 'usa/indiana': 'usa/indiana.svg', 'usa/iowa': 'usa/iowa.svg', 'usa/kansas': 'usa/kansas.svg', 'usa/kentucky': 'usa/kentucky.svg', 'usa/louisiana': 'usa/louisiana.svg', 'usa/maine': 'usa/maine.svg', 'usa/maryland': 'usa/maryland.svg', 'usa/massachusetts': 'usa/massachusetts.svg', 'usa/michigan': 'usa/michigan.svg', 'usa/minnesota': 'usa/minnesota.svg', 'usa/minnesotaClassic': 'usa/minnesotaClassic.svg', 'usa/mississippi': 'usa/mississippi.svg', 'usa/mississippiClassic': 'usa/mississippiClassic.svg', 'usa/missouri': 'usa/missouri.svg', 'usa/montana': 'usa/montana.svg', 'usa/nebraska': 'usa/nebraska.svg', 'usa/nevada': 'usa/nevada.svg', 'usa/new-hampshire': 'usa/new-hampshire.svg', 'usa/new-jersey': 'usa/new-jersey.svg', 'usa/new-mexico': 'usa/new-mexico.svg', 'usa/new-york': 'usa/new-york.svg', 'usa/north-carolina': 'usa/north-carolina.svg', 'usa/north-dakota': 'usa/north-dakota.svg', 'usa/northern-mariana-islands': 'usa/northern-mariana-islands.svg', 'usa/ohio': 'usa/ohio.svg', 'usa/oklahoma': 'usa/oklahoma.svg', 'usa/oregon-back': 'usa/oregon-back.svg', 'usa/oregon': 'usa/oregon.svg', 'usa/pennsylvania': 'usa/pennsylvania.svg', 'usa/puerto-rico': 'usa/puerto-rico.svg', 'usa/rhode-island': 'usa/rhode-island.svg', 'usa/south-carolina': 'usa/south-carolina.svg', 'usa/south-dakota': 'usa/south-dakota.svg', 'usa/tennessee': 'usa/tennessee.svg', 'usa/texas': 'usa/texas.svg', 'usa/usa': 'usa/usa.svg', 'usa/utah': 'usa/utah.svg', 'usa/utahClassic': 'usa/utahClassic.svg', 'usa/vermont': 'usa/vermont.svg', 'usa/virgin-islands': 'usa/virgin-islands.svg', 'usa/virginia': 'usa/virginia.svg', 'usa/washington': 'usa/washington.svg', 'usa/west-virginia': 'usa/west-virginia.svg', 'usa/wisconsin': 'usa/wisconsin.svg', 'usa/wyoming': 'usa/wyoming.svg'}
